LifecycleBasePlugin (Gradle API 4.9)
Date: 2018-07-16

org.gradle.language.base.plugins

## Class LifecycleBasePlugin

- java.lang.Object
- - org.gradle.language.base.plugins.LifecycleBasePlugin

- All Implemented Interfaces:
    Plugin<org.gradle.api.internal.project.ProjectInternal>

      @Incubating
      public class LifecycleBasePlugin
      extends Object
      implements Plugin<org.gradle.api.internal.project.ProjectInternal>

  A `Plugin` which defines a basic project lifecycle.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ASSEMBLE_TASK_NAME`
    `static String` | `BUILD_GROUP`
    `static String` | `BUILD_TASK_NAME`
    `static String` | `CHECK_TASK_NAME`
    `static String` | `CLEAN_TASK_NAME`
    `static String` | `VERIFICATION_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LifecycleBasePlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(org.gradle.api.internal.project.ProjectInternal project)` Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLEAN_TASK_NAME

          public static final String CLEAN_TASK_NAME

      See Also:
        Constant Field Values

    - #### ASSEMBLE_TASK_NAME

          public static final String ASSEMBLE_TASK_NAME

      See Also:
        Constant Field Values

    - #### CHECK_TASK_NAME

          public static final String CHECK_TASK_NAME

      See Also:
        Constant Field Values

    - #### BUILD_TASK_NAME

          public static final String BUILD_TASK_NAME

      See Also:
        Constant Field Values

    - #### BUILD_GROUP

          public static final String BUILD_GROUP

      See Also:
        Constant Field Values

    - #### VERIFICATION_GROUP

          public static final String VERIFICATION_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LifecycleBasePlugin

          public LifecycleBasePlugin()

  - ### Method Detail

    - #### apply

          public void apply(org.gradle.api.internal.project.ProjectInternal project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<org.gradle.api.internal.project.ProjectInternal>`
      Parameters:
        `project` - The target object